Vla-put-autosnapmagnet

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-autosnapmagnet vla-object bool )


機能
AutoSnap 吸着を切り替える。


引数
  • vla-object … PreferencesDrafting のVLAオブジェクト
  • bool … ブール型
  •  :vlax-True: AutoSnap 自動吸着を有効にする。
  •  :vlax-False: AutoSnap 自動吸着を無効にする。


戻り値
nil


  • MEMO : このプロパティの初期値は True。
  • 注 : このプロパティの値は、システム変数 AUTOSNAP に格納される。


サンプル
(vl-load-com)
(defun c:Example_AutoSnapMagnet()
    ;; AutoSnap 吸着を切り替えるサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; 取得
    (setq ACADPref (vla-get-Drafting preferences))
    
    ;; 既定値を取得
    (setq originalValue (vla-get-AutoSnapMagnet ACADPref))
    (alert (strcat "現在の AutoSnap 吸着値は : " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-AutoSnapMagnet ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-AutoSnapMagnet ACADPref))
    (alert (strcat "新しいAutoSnap 吸着値は : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-AutoSnapMagnet ACADPref originalValue)
    (alert (strcat "AutoSnap 吸着値をもどしました : "  (if (= originalValue :vlax-true) "True" "false")))
)

; lisp ならでええんやで。
; (setvar "AUTOSNAP" 4)
; (getvar "AUTOSNAP")

関連事項